netbeans (8.2+dfsg1-1) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * Switch back to libcglib-java.

  [ Markus Koschany ]
  * New upstream version 8.2+dfsg-1.
  * Refresh all patches for new release.
  * Work around a lot of build failures due to missing JDK 9 classes by
    copying modules from 8.1. See debian/patches for more information.
  * Switch to compat level 10.
  * Update linked-jars accordingly.
  * Use permit JDK 8 builds option consistently in debian/rules.
  * Tighten dependencies on platform modules to 8.2.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Dec 2016 16:33:40 +0100

netbeans (8.1+dfsg3-1) unstable; urgency=medium

  * Symlink asm-all.jar to libs.nashorn module.
  * Switch from libasm4-java to libasm-java.
  * orig-tar.sh: Remove W3C spec files from tarball. (Closes: #823813)
  * Clarify license of ClassManager.js and remove PHP testfiles.
    (Closes: #823812)
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Thu, 26 May 2016 08:04:23 +0200

netbeans (8.1+dfsg2-3) unstable; urgency=medium

  * Tighten versioned dependency on default-jdk to >= 2:1.8.

 -- Markus Koschany <apo@debian.org>  Tue, 08 Mar 2016 18:33:20 +0100

netbeans (8.1+dfsg2-2) unstable; urgency=medium

  * netbeans: Remove alternative dependency on java7-sdk because
    netbeans will not work correctly with OpenJDK 7 anymore since jdk8 builds
    were activated by the last upload. In addition OpenJDK 7 is going to be
    removed from Debian before the Stretch release.
    Thanks to Kevin Carney for the report. (Closes: #816758, #817152)

 -- Markus Koschany <apo@debian.org>  Tue, 08 Mar 2016 16:38:19 +0100

netbeans (8.1+dfsg2-1) unstable; urgency=medium

  * Imported Upstream version 8.1+dfsg2.
    - Include html5doc.zip because it is free documentation.
  * Build-Depend on libhtml5parser-java. This fixes HTML parser exceptions and
    makes it possible to edit and work with HTML files. Thanks to Michael
    Cordingley for the report. (Closes: #809256)
  * Switch to libicu4j-4.4-java.
    This prevents a NoClassFound exception when parsing HTML5 documents.
  * Delete netbeans-core.browser.webview.patch and merge the changes into
    netbeans-cluster-properties.patch.
  * debian/copyright: Add license for html5doc.zip.
  * Drop netbeans-html.parser-nocopy.patch, obsolete since we
    ship html5doc.zip now.
  * Vcs-Git: Switch to https.
  * Declare compliance with Debian Policy 3.9.7.
  * Override Lintian error source-is-missing because those js files are only
    used for testing.
  * Convert netbeans' icns icon to 128x128 png icon with icns2png and use it
    as desktop icon. Thanks to Anton Sudak for the report. (LP: #1545648)
  * debian/rules: Permit JDK8 builds.
  * Replace netbeans-svnclient.patch with netbeans-svnclientadapter.patch and
    fix FTBFS. (Closes: #815073)

 -- Markus Koschany <apo@debian.org>  Wed, 24 Feb 2016 19:24:16 +0100

netbeans (8.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 8.1+dfsg1.
  * Install netbeans.import and fix failing settings imports from previous
    versions. Thanks to Manolinux for the report. (Closes: #808908)
    (LP: #1018585)
  * netbeans: Replace alternative virtual dependency java7-jdk and java8-jdk
    with java7-sdk | java8-sdk. Thanks to Thorsten Glaser for the report.
    (Closes: #803153)
  * debian/control:
    - Switch to libcglib3-java.
    - Build-Depend on libasm4-java.
    - Build-depend on libjavaewah-java.
    - Tighten dependencies on platform packages to >= 8.1.
  * debian/rules:
    - Build with parallel.
  * Update my e-mail address.
  * get-orig-source: Remove --no-symlink option. Add --verbose.
  * debian/patches:
    - Refresh the following patches:
      + All netbeans-platform patches.
      + netbeans-cluster-properties.patch
      + netbeans-platform-empty-binaries-list.patch -> renamed to
        netbeans-empty-binaries-list.patch
      + Refresh netbeans-o.n.bootstrap.patch
      + Refresh antlr-3.5.2.patch
      + Refresh netbeans-nocopy.patch
      + Refresh db.dataview-setRowFilter-method.patch
      + Refresh netbeans-small-ide.patch
      + Refresh netbeans-dlight.nativeexecution.patch
      + Refresh netbeans-extexecution.impl.patch
      + Refresh netbeans-svnclient.patch and update svn versions.
      + Refresh netbeans-wildUpperBound.patch
      + Refresh netbeans-ide-launcher.patch
      + Refresh netbeans-xsl-httpserver.patch
      + Refresh netbeans-slf4j.dummy.patch
    - Add the following patches:
      + javaewah-version.patch to prevent a FTBFS with Debian's version
        which is currently not up-to-date.
      + netbeans-com.sun.tools.hc.patch
      + netbeans-CommandLineParser.patch
  * linked-jars:
    - Update junit4 version to 4.12.
    - Link hamcrest-core.jar to libs.junit4.
    - Update version of jsch.jar.
    - Update jgit version.
    - Update version of jvyamlb.
  * Disable core.browser.webview module to prevent a FTBFS with OpenJDK 7.
  * debian/watch: Add a comment and a pointer to the download location.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Dec 2015 11:16:23 +0100

netbeans (8.0.2+dfsg1-5) unstable; urgency=medium

  * orig-tar.sh: Remove embedded jquery.js files.
  * Vcs-Browser: Use https.
  * Tighten build-dependency on osgi-core and osgi-compendium.
  * netbeans: Tighten dependency on libnb-platform18-java.
  * netbeans: Add java8-jdk as an alternative dependency.
  * Switch to libhttpclient-java. (Closes: #800974)
  * Switch to libservlet3.1-java. (Closes: #801041)

 -- Markus Koschany <apo@gambaru.de>  Wed, 07 Oct 2015 16:53:28 +0200

netbeans (8.0.2+dfsg1-4) unstable; urgency=medium

  * Drop Css3Parser-antlr.patch because with Antlr 3.5.2 this patch is
    obsolete.
  * Add antlr-3.5.2.patch and fix FTBFS with Antlr 3.5.2.
  * Build-Depend and depend on antlr (>= 3.5.2).
  * d/rules: Use find, xargs and touch to adjust file mtimes before zip is run.

 -- Markus Koschany <apo@gambaru.de>  Thu, 23 Jul 2015 17:36:43 +0200

netbeans (8.0.2+dfsg1-3) unstable; urgency=medium

  * debian/copyright: Add missing W3C license.
  * Symlink Debian's jgit jars to ide/modules directory.
  * Symlink SVN and SSH modules to Debian's system jar files.
  * debian/pom: Remove openide-* pom files. They are obsolete now.

 -- Markus Koschany <apo@gambaru.de>  Mon, 29 Jun 2015 15:57:00 +0200

netbeans (8.0.2+dfsg1-2) unstable; urgency=medium

  * Add reproducible-build.patch.
    Use a fixed date for the install_time variable and make the build a bit
    more reproducible.
  * Export TZ=UTC to force zip to use UTC. Another measure to make the build
    reproducible.
  * Tighten dependency for platform packages to >= 8.0.2.

 -- Markus Koschany <apo@gambaru.de>  Sat, 20 Jun 2015 17:05:34 +0200

netbeans (8.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #673606, #713182)
    - Fixes GUI Editor is not working. (Closes: #653915, #677125)
    - The subversion module does not transmit passwords in svn's commandline
      arguments. (Closes: #642143)
    - All tutorial links can be opened in different web browsers.
      (Closes: #642142)
    - The enter key is working as expected again. (Closes: #667736)
  * Support building with mingw-w64 instead of mingw32. (Closes: #680468)
    Thanks to Stephen Kitt for the report and patch.
  * Netbeans 8.0.2 supports the native look and feel by default now.
    (Closes: #698154)
  * Fix Netbeans' subversion support by adding netbeans-svnclient.patch.
    (Closes: #698514, #668015)
  * Remove Andres Mejia and Yuli Novozhilova from Uploaders because they are
    apparently not active anymore. (Closes: #743562)
  * Remove all minified Javascript files from the original tarball and improve
    the orig.tar.sh script. (Closes: #737442)
  * Fix bashism in nbexec script. (Closes: #772326)
  * Replace w3c-dtd-xhtml with w3c-sgml-lib because the former is going to be
    removed from Debian. (Closes: #787176)
  * Java7 is the default JDK now and Netbeans 8.0.2 will no longer hang when
    creating new projects or crash with a NoClassDefFoundError on startup.
    (Closes: #729664, #744369, #728689)
  * Use compat level 9 and require debhelper >= 9.
  * Update debian/copyright for new release.
  * Add source/lintian-overrides and override false postives.
    + netbeans: license-problem-json-evil
    + netbeans: license-problem-php-license
    because these errors are only triggered by license.txt files. The real
    files were already removed from the tarball.
  * Stop building the platform packages and depend on libnb-platform18-java
    instead.
  * debian/control:
    - Remove versioned dependencies because all constraints are satisfied even
      in stable.
    - Declare compliance with Debian Policy 3.9.6.
    - Switch Vcs-Browser fields to cgit.
    - netbeans: Depend on default-jdk and remove alternative dependencies on
      OpenJDK6 because Netbeans requires Java7 to run.
    - Remove obsolete Conflict, Replaces, Provides fields.
    - Depend on libcommons-net-java instead of libcommons-net1-java.
    - Add and remove the following dependencies:
      + libcommons-httpclient-java, libcommons-io-java, libcommons-lang-java,
        libjsch-agent-proxy-java, libjsch-java, libsqljet-java,
        libws-commons-util-java, libjson-simple-java, libeclipselink-java,
        libmysql-java, liblucene3-java,
      - libbetter-appframework-java, liblucene2-java, liboro-java
  * debian/patches:
    - Rebase and update all patches for new release. They are all required to
      fix various build failures and runtime errors and to use Debian's system
      libraries instead of embedded jar files without source code.
      For more information, please refer to the patch headers.
    + New patches:
      Css3Parser-antlr.patch, db.dataview-setRowFilter-method.patch,
      dlight.nativeexecution.patch, netbeans-commons-net.patch,
      netbeans-extexecution.impl.patch, netbeans-javacc.patch,
      netbeans-libs.jaxb.patch, netbeans-o.apache.tools.ant.module.patch,
      netbeans-slf4j.dummy.patch, netbeans-spi.java.hints.patch,
      netbeans-svnclient.patch, netbeans-wildUpperBound.patch,
      netbeans-xml.jaxb.api.patch, netbeans-xsl-httpserver.patch,
      osgi-update.patch
    - Removed patches:
      netbeans-platform~include-extras.patch, netbeans~debugger.jpda.ui.patch,
      netbeans~no-rhino.patch, netbeans~no-test-clean.patch,
      netbeans~old-java-modules.patch, netbeans~o.a.tools.ant.patch,
      netbeans~old-java.source-module.patch, netbeans~svnclient.patch,
      netbeans~xerces.patch, netbeans~xsl.patch
  * debian/rules:
    - Symlink netbeans.png to hicolors directory.
    - Remove obsolete comments and code for building the platform and the
      windows binaries.
    - Simplify get-orig-source target. Download the current version.
  * pom:
    - Update pom.files for new release 8.0.2.
  * Update netbeans.desktop. Add keywords and comments.
  * Add netbeans.menu file and a new netbeans.xpm icon.

 -- Markus Koschany <apo@gambaru.de>  Fri, 19 Jun 2015 14:16:59 +0200

netbeans (7.0.1+dfsg1-5) unstable; urgency=low

  * Include junit library definitions.
  * Make libnb-platform13-java depend on antlr3. (Closes: #651214)
  * Avoid including javadoc twice in libnb-platform13-java-doc.
  * Replace dependency libpg-java with libpostgresql-jdbc-java
      (Closes: #659397)
  * Add symlink to jaxp-1.4.jar (Closes: #653915)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Wed, 15 Feb 2012 20:36:14 +0000

netbeans (7.0.1+dfsg1-4) unstable; urgency=low

  * Patch core.osgi to use osgi-core 4.3. (Closes: #649750)
  * Correct binary package names and install locations.
      (Closes: #646856)
  * Install AbsoluteLayout.jar in a separate package.
      (Closes: #646857)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Thu, 01 Dec 2011 21:59:37 +0000

netbeans (7.0.1+dfsg1-3) unstable; urgency=low

  * Use libosgi-core-java and libosgi-compendium-java for osgi.
  * Use libflute-java instead of libflute-1.3-jfree-java.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 16 Oct 2011 20:53:51 +0100

netbeans (7.0.1+dfsg1-2) unstable; urgency=low

  * Handle rename of libcommons-net-java to libcommons-net1-java.
  * Netbeans should depend on a JDK.
      (Closes: #499870)
  * Provide netbeans-ide and netbeans-platform.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 11 Sep 2011 22:45:45 +0100

netbeans (7.0.1+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Build NetBeans platform from this source too. (Closes: #610927)
  * Bump to Standards-Version 3.9.2.
  * Added myself to Uploaders.
  * Build Windows launcher using mingw.
  * Move utilility libraries to their own packages. (Closes: #490433)
  * Also close some bugs which were fixed in the 6.9 series which never
    entered the Debian archives:
    - Use packaged swinglayout.jar. (Closes: #448922)
    - Depend on generic Java. (Closes: #499417)
    - Package for Debian Main. (Closes: #531952)
  * Update Copyright file to cover all files correctly.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Tue, 02 Aug 2011 23:58:58 +0100

netbeans (6.9-1) unstable; urgency=low

  * New upstream version based off of Ubuntu packages.
    (Closes: #543907)
    (Closes: #478762)
  * Add Debian Java team as Maintainer, Yulia and myself as Uploaders.
  * Update packaging to use 3.0 (quilt) source format.
  * Update packaging to use dh with javahelper.
  * Bump to Standards-Version 3.9.1.
  * Refresh all patches.
  * Use Java SwingWorker included in standard JDK distribution.
  * Migrate to junit4.
  * Migrate to libservlet2.5-java.
  * Migrate to use Better Swing Application Framework.
  * Use standard svnclientadapter from subclipse.
  * Migrate to ini4j-0.5.2-SNAPSHOT.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 23 Jan 2011 15:42:29 -0500

netbeans (6.9-0ubuntu2) maverick; urgency=low

  * Bug fix upload:
     - correct netbeans-6.9~updatecenters.patch to point to Ubuntu UC

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 20 Aug 2010 17:19:59 +0400

netbeans (6.9-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #595000)
  * debian/control/Standards-Versions is updated to 3.9.0
  * debian/copyright file is updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Thu, 05 Aug 2010 12:17:51 +0400

netbeans (6.8-0ubuntu4) lucid; urgency=low

  * Update Center is switched to the Ubuntu specific one (LP: #544459)
     - patches/01-updatecenters.patch is updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 31 Mar 2010 15:19:29 +0400

netbeans (6.8-0ubuntu3) lucid; urgency=low

  * debian/patches/l10n.patch is added (LP: #527547)
  * debiian/rules is updated to build l10n
  * debian/control dependency to default-jdk-doc | sun-java6-doc is added
     for libnb-java3-java package (LP: #545563)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Mar 2010 16:26:52 +0300

netbeans (6.8-0ubuntu2) lucid; urgency=low

  * Bug fix upload
    - debian/patches/14-config.patch added (LP: #315499)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 17 Feb 2010 15:44:50 +0300

netbeans (6.8-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #495478)
  * postinstall script is removed (LP: #464939)
  * control/Standards-Versions is updated to 3.8.4
  * debian/copyright file is updated to point to the correct location

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 12 Feb 2010 20:36:32 +0300

netbeans (6.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #381814)
    * Fixed upstream bugs:
     -  (LP: #336349)
     -  (LP: #354144)
     -  (LP: #357579)
     -  (LP: #366740)
     -  (LP: #401407)
  * control/Standards-Versions is updated to 3.8.3
  * control/Section is updated to java for *-java

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 13 Jul 2009 19:05:01 +0400

netbeans (6.5-0ubuntu2.1) jaunty; urgency=low

  * Bug fix upload (LP: #353080)
     - Added a critical patch 96-fix-lucene.patch

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 25 May 2009 23:28:08 +0400

netbeans (6.5-0ubuntu2) jaunty; urgency=low

  * Added bugfix patches from 6.5.1 for NetBeans IDE (LP: #345562)
  * 40-ide-launcher.patch is updated (LP: #307103)
  * debian/rules: commons-logging jar's version changed from 1.0.4 to 1.1.

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 31 Mar 2009 18:34:02 +0400

netbeans (6.5-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #251173)
    -Added "Conflicts: netbeans-ide" to control (LP: #257307)
    -Added watch file and get-orig-source target to rules file

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Sep 2008 18:51:50 +0400

netbeans (6.1-0ubuntu1) intrepid; urgency=low

  * New upstream release. (LP: #253016)
   - Updated Standards-Version to 3.8.0
   - Patches updated. (LP: #206324)
   - Cleaned up debian/rules
   - Updated postinstall script. (LP: #254587)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 29 Jul 2008 19:43:23 +0400

netbeans (6.0.1-0ubuntu2) hardy; urgency=low

  * Bug fix upload (LP: #201332)
    - Replace GPLv2 text in debian/copyright by reference to
      /usr/share/common-licenses/GPL-2
    - Update dependency to openjdk6
    - Refine package descriptions
    - Add IDE Update Center specific to Ubuntu packages

 -- Marek Slama <marek.slama@sun.com>  Fri, 07 Mar 2008 18:00:00 +0100

netbeans (6.0.1-0ubuntu1) hardy; urgency=low

  * Initial version. (LP: #187708)

 -- Marek Slama <marek.slama@sun.com>  Tue, 29 Jan 2008 14:11:22 +0100
